#NIFI custom properties
#Settings relative al blocco Acquire & Check Lot
gpec.acquireCheckLot.checkLots.inputDir=./data-in
gpec.acquireCheckLot.checkFileSize.size=314572800
gpec.acquireCheckLot.okToUnpack.destinationDirectory=./history
gpec.acquireCheckLot.invokeHTTP=http://localhost:8000/api/composer/lot
gpec.acquireCheckLot.updateAckFilename.filename=ack-input_
gpec.acquireCheckLot.writeAckFileTo.directory=./data-out
#Settings relative al blocco Update & Validate (salva su CouchBase)
gpec.unpackAndValidate.couchbaseClusterService.host=couchbase://localhost
gpec.unpackAndValidate.couchbaseClusterService.username=lots
gpec.unpackAndValidate.couchbaseClusterService.password=HwNbVfY2TVsBqgX
gpec.unpackAndValidate.couchbaseClusterService.bucket=lots
gpec.unpackAndValidate.saveUnpackedInWorkFolder.directory=./stage
gpec.unpackAndValidate.validateXml.schema=/xsd/lot-pec.xsd
gpec.unpackAndValidate.failureInvokeHTTP=ttp://localhost:8000/api/composer/getXmlAckInput
#Settings relative al blocco di verifica del numero di messaggi MessageLimitChecker
gpec.messageLimitChecker.messageThreshold=1000
gpec.messageLimitChecker.invokeHTTP=http://localhost:8000/api/composer/getXmlAckInput
#Settings relative al blocco Start Elaboration Process
gpec.startElaborationProcess.remoteURL=http://localhost:8000/api/composer/lot/start-process
#Settings relative al blocco Update Ack filename
gepc.updateAckFilename.filename=ack-input_
#Settings relative al blocco Publish to Lot items Queue (per RabbitMQ)
gpec.publishToLotItemsQueue.exchangeName=lot.items
gpec.publishToLotItemsQueue.routingKey=lot.composer.items
gpec.publishToLotItemsQueue.hostName=localhost
gpec.publishToLotItemsQueue.port=5672

#gpec.publishToLotItemsQueue.userName=guest
#gpec.publishToLotItemsQueue.password=guest
#Settings relative al blocco di gestione delle ricevute ReceiptElaboration
gpec.receiptElaboration.listFile.directory=./receipt
gpec.receiptElaboration.movePecFile.directory=./noreceipt
gpec.receiptElaboration.ReceiptDispatching.NoticeMoveAndDelete.directory=./notice
gpec.receiptElaboration.invokeHTTP=http://localhost:8000/api/controller/processReceipt
#Settings relative al blocco di connessione al server remoto in SSH per reperire i .zip (MoveRemoteToLocal)
gpec.remotesftp.hostname=192.168.52.59
gpec.remotesftp.port=22
gpec.remotesftp.username=ddussoni
gpec.remotesftp.remotepath=/home/ddussoni/input
